"""
@author: luojunhui
"""
import requests
from config import accountBaseInfo

from tqdm import tqdm


def update_articles(gh_id):
    """
    :param gh_id:
    :return:
    """
    url = "http://61.48.133.26:6060/article_crawler"

    headers = {"Content-Type": "application/json"}

    body = {"ghId": gh_id}
    response = requests.request("POST", url=url, headers=headers, json=body)
    print(response.json())


if __name__ == '__main__':
    gh_id_set = set()
    for key in accountBaseInfo:
        value = accountBaseInfo[key]['ghId']
        gh_id_set.add(value)

    for gh_id in tqdm(gh_id_set):
        try:
            update_articles(gh_id)
        except Exception as e:
            print(e)
            continue

